[AUR] Installer le package php70-mcrypt

Mise à jour / Création /debug de paquetages
Répondre
stephan08
Daikyu
Messages : 83
Inscription : jeu. 19 nov. 2015, 23:18

[AUR] Installer le package php70-mcrypt

Message par stephan08 » dim. 31 déc. 2017, 11:49

Bonjour,

J'aimerais installer depuis AUR le package php70-mcrypt.

FoolEcho m'avait conseillé de faire le git clone en tant qu'utilisateur. Du coup, j'ai lancé la commande dans /home/deepak/programmes:

Code : Tout sélectionner

git clone https://aur.archlinux.org/php70.git
J'obtiens par contre le message:

Code : Tout sélectionner

fatal: impossible de créer le répertoire de la copie de travail 'php70': Permission non accordée
Du coup, comment dois je m'y prendre tout en évitant d'être root?


J'ai également essayé via le téléchargement du snapshot. C'est après le téléchargement du snapshot, le déplacement de ce dernier ne fonctionne pas:

Code : Tout sélectionner

mv Downloads/php70.tar.gz programmes/
entraîne

Code : Tout sélectionner

mv: impossible de déplacer 'Downloads/php70.tar.gz' vers 'programmes/php70.tar.gz': Permission non accordée
Pourtant, le répertoire Download possède bien les droits d'éxecution pour le owner:

Code : Tout sélectionner

drwx------ 2 deepak users  4096 31 déc.  13:06 Downloads
Pour le coup, j'ai quand même voullu essayer en utilisant yaourt. Du coup, je voulais installer yaourt et je n'ai pas réussi à l'installer via AUR. Je me suis basé sur ce lien: https://archlinux.fr/yaourt-en

Je lance le git en root, je vais dans le dossier package-query puis je lance le makepkg:

Code : Tout sélectionner

git clone https://aur.archlinux.org/package-query.git
cd package-query/
makepkg -si
Et, j'ai l'erreur suivante:

Code : Tout sélectionner

==> ERREUR : Vous n’avez pas les permissions nécessaires (accès en écriture) pour créer les paquets dans /home/deepak/programmes/package-query.
    Abandon...

==> ERREUR : An unknown error has occurred. Exiting...
Je vous remercie par avance,

Avatar de l’utilisateur
FoolEcho
Maître du Kyudo
Messages : 10431
Inscription : dim. 15 août 2010, 11:48
Localisation : Basse-Normandie

Re: [AUR] Installer le package php70-mcrypt

Message par FoolEcho » dim. 31 déc. 2017, 15:00

Salut,

Vérifie les permissions de /home/deepak/programmes/ ... Au vu de ton sujet précédent, j'imagine qu'il appartient à root...

Faut pas jouer en root dans le répertoire d'un utilisateur...
«The following statement is not true. The previous statement is true.» :nage:

stephan08
Daikyu
Messages : 83
Inscription : jeu. 19 nov. 2015, 23:18

Re: [AUR] Installer le package php70-mcrypt

Message par stephan08 » dim. 31 déc. 2017, 17:04

Du coup, maintenant que le dossier programmes appartient bien à mon user, ça à l'air de mieux marcher.

Lorsque je lance dans /home/deepak/programmes/php70

Code : Tout sélectionner

makepkg -si
j'obtiens:

Code : Tout sélectionner

==> Création du paquet php70 7.0.26-1 (dim. déc. 31 16:46:44 CET 2017)
==> Vérification des dépendances pour l’exécution...
==> Vérification des dépendances pour la compilation...
==> Installation des dépendances manquantes... 
[sudo] Mot de passe de deepak : 
deepak n'apparaît pas dans le fichier sudoers. Cet événement sera signalé.
==> ERREUR : « pacman » n’a pas pu installer les dépendances manquantes.
Du coup, j'ai modifié le fichier /etc/sudoers via la commande suivante en root:

Code : Tout sélectionner

visudo
puis j'ai décommenté cette ligne:

Code : Tout sélectionner

%wheel ALL=(ALL) ALL
Ensuite, j'ai lancé:

Code : Tout sélectionner

gpasswd -a deepak wheel
afin d'ajouter mon user au groupe wheel.

Suite à tout cela, j'ai lancé:

Code : Tout sélectionner

sudo makepkg -si
Et, j'ai encore l'erreur:

Code : Tout sélectionner

deepak n'apparaît pas dans le fichier sudoers. Cet événement sera signalé.
Je ne comprends pas. J'ai bien ajouté mon user à wheel, ça ne devrait pas poser de problèmes maintenant.

Comment puis je m'y prendre? Les groupes wheel et sudo sont ils différents?

Avatar de l’utilisateur
floflo77890
Maître du Kyudo
Messages : 1215
Inscription : lun. 29 juil. 2013, 21:05
Localisation : île de france

Re: [AUR] Installer le package php70-mcrypt

Message par floflo77890 » dim. 31 déc. 2017, 18:04

Perso je ne connais pas le groupe sudo par contre je connais les groupes wheel et root. Pour en savoir un peut plus dessus je te donne ce petit lien https://wiki.archlinux.fr/Utilisateurs_ ... es#Groupes mais en gros root est les super-utilisateur et les utiliateurs du groupe wheel qui selon la configuration de sudo donne les droits de root à l'utilisateur.
En conclusion, les utilisateurs du grouoe wheel (si wheel est bien renseigné dans le fichier de configuration pour permettre aux utilisateurs de lancer les commandes en root) permet au users de lancer des commandes en root donc en super-utilisateur.
Petite commande pour vérifier si ton utilisateur appartient bien au groupe wheel : cat /etc/group.

stephan08
Daikyu
Messages : 83
Inscription : jeu. 19 nov. 2015, 23:18

Re: [AUR] Installer le package php70-mcrypt

Message par stephan08 » lun. 01 janv. 2018, 00:59

La commande

Code : Tout sélectionner

cat /etc/group
me donne

Code : Tout sélectionner

root:x:0:root
bin:x:1:root,bin,daemon
daemon:x:2:root,bin,daemon
sys:x:3:root,bin
adm:x:4:root,daemon
tty:x:5:
disk:x:6:root
lp:x:7:daemon
mem:x:8:
kmem:x:9:
wheel:x:10:root,deepak
ftp:x:11:
mail:x:12:
uucp:x:14:
log:x:19:root
utmp:x:20:
locate:x:21:
rfkill:x:24:
smmsp:x:25:
proc:x:26:polkitd
http:x:33:deepak
games:x:50:
lock:x:54:
network:x:90:
video:x:91:
audio:x:92:
optical:x:93:
floppy:x:94:
storage:x:95:
scanner:x:96:
input:x:97:
power:x:98:
nobody:x:99:
users:x:100:
systemd-journal:x:190:
systemd-journal-gateway:x:191:
systemd-timesync:x:192:
systemd-network:x:193:
systemd-bus-proxy:x:194:
systemd-resolve:x:195:
systemd-journal-remote:x:999:
systemd-journal-upload:x:997:
dbus:x:81:
systemd-coredump:x:998:
uuidd:x:68:
polkitd:x:102:
lightdm:x:620:
nvidia-persistenced:x:143:
bumblebee:x:56:deepak
avahi:x:84:
git:x:619:
kvm:x:996:
mysql:x:89:
colord:x:124:
render:x:995:
Du coup, mon user appartient bien au groupe wheel.

Avatar de l’utilisateur
FoolEcho
Maître du Kyudo
Messages : 10431
Inscription : dim. 15 août 2010, 11:48
Localisation : Basse-Normandie

Re: [AUR] Installer le package php70-mcrypt

Message par FoolEcho » lun. 01 janv. 2018, 09:31

stephan08 a écrit :
dim. 31 déc. 2017, 17:04
Je ne comprends pas. J'ai bien ajouté mon user à wheel, ça ne devrait pas poser de problèmes maintenant.
La modification ne vaut pas pour une session en cours.
Soit tu te reconnectes, soit tu en ouvres un nouveau.
stephan08 a écrit :
dim. 31 déc. 2017, 17:04
Comment puis je m'y prendre? Les groupes wheel et sudo sont ils différents?
Le «véritable» groupe pour les admins est wheel. Mais certains préférent créer un groupe sudo.
«The following statement is not true. The previous statement is true.» :nage:

stephan08
Daikyu
Messages : 83
Inscription : jeu. 19 nov. 2015, 23:18

Re: [AUR] Installer le package php70-mcrypt

Message par stephan08 » lun. 01 janv. 2018, 11:29

Du coup, j'avais éteint et redémarré mon ordi et lorsque je lance:

Code : Tout sélectionner

sudo makepkg -s
J'ai encore des erreurs:

Code : Tout sélectionner

==> ERREUR : Lancer makepkg en tant que root n'est pas autorisé car cela pourrait
causer des dommages catastrophiques et permanents à votre système.

==> ERREUR : An unknown error has occurred. Exiting...
Du coup, il y a encore un problème. En tout cas, il prend bien compte le fait que mon user est root temporairement.

Pour information, dans /home/deepak/programmes/php70, un

Code : Tout sélectionner

ls -l
donne:

Code : Tout sélectionner

total 40
-rw-r--r-- 1 deepak users   317 31 déc.  16:45 apache.conf
-rw-r--r-- 1 deepak users   501 31 déc.  16:45 apache.patch
-rwxr-xr-x 1 deepak users  2753 31 déc.  16:45 generate_patches
-rw-r--r-- 1 deepak users  2959 31 déc.  16:45 php-fpm.patch
-rw-r--r-- 1 deepak users    30 31 déc.  16:45 php-fpm.tmpfiles
-rw-r--r-- 1 deepak users  2650 31 déc.  16:45 php.ini.patch
-rw-r--r-- 1 deepak users 12349 31 déc.  16:45 PKGBUILD

Avatar de l’utilisateur
FoolEcho
Maître du Kyudo
Messages : 10431
Inscription : dim. 15 août 2010, 11:48
Localisation : Basse-Normandie

Re: [AUR] Installer le package php70-mcrypt

Message par FoolEcho » lun. 01 janv. 2018, 11:57

makepkg est à lancer avec ton utilisateur aussi.

Par contre l'installation (pacman -U <le paquet généré> passe par root).
«The following statement is not true. The previous statement is true.» :nage:

stephan08
Daikyu
Messages : 83
Inscription : jeu. 19 nov. 2015, 23:18

Re: [AUR] Installer le package php70-mcrypt

Message par stephan08 » lun. 01 janv. 2018, 12:43

Merci. Ca avait l'air de mieux marché mais j'ai une erreur tout à la fin.

Après le lancement de:

Code : Tout sélectionner

makepkg -s
je tombe sur:

Code : Tout sélectionner

==> Création du paquet php70 7.0.26-1 (lun. janv.  1 13:03:31 CET 2018)
==> Vérification des dépendances pour l’exécution...
==> Vérification des dépendances pour la compilation...
==> Installation des dépendances manquantes... 
[sudo] Mot de passe de deepak : 
résolution des dépendances...
recherche des conflits entre paquets...

Paquets (12) hspell-1.4-1  libvoikko-4.1.1-1  aspell-0.60.6.1-5  c-client-2007f-9  enchant-2.1.2-3  freetds-1.00.44-1  libmcrypt-2.5.8-4
             libxslt-1.1.32+3+g32c88216-1  net-snmp-5.7.3-7  postgresql-libs-10.1-1  tidy-5.4.0-2  unixodbc-2.3.4-2

Taille totale du téléchargement :   6,87 MiB
Taille totale installée :         38,16 MiB

:: Procéder à l’installation ? [O/n] O
:: Récupération des paquets...
 aspell-0.60.6.1-5-x86_64                                             587,9 KiB  2,15M/s 00:00 [########################################################] 100%
 hspell-1.4-1-x86_64                                                  657,5 KiB  1699K/s 00:00 [########################################################] 100%
 libvoikko-4.1.1-1-x86_64                                             130,7 KiB  2,55M/s 00:00 [########################################################] 100%
 enchant-2.1.2-3-x86_64                                                38,6 KiB  2,70M/s 00:00 [########################################################] 100%
 libmcrypt-2.5.8-4-x86_64                                              71,3 KiB  2,32M/s 00:00 [########################################################] 100%
 libxslt-1.1.32+3+g32c88216-1-x86_64                                  359,2 KiB  2,34M/s 00:00 [########################################################] 100%
 net-snmp-5.7.3-7-x86_64                                             1646,0 KiB  1921K/s 00:01 [########################################################] 100%
 postgresql-libs-10.1-1-x86_64                                       1198,1 KiB  2,18M/s 00:01 [########################################################] 100%
 tidy-5.4.0-2-x86_64                                                  342,8 KiB  1749K/s 00:00 [########################################################] 100%
 unixodbc-2.3.4-2-x86_64                                              218,7 KiB  2,27M/s 00:00 [########################################################] 100%
 freetds-1.00.44-1-x86_64                                            1260,0 KiB  1800K/s 00:01 [########################################################] 100%
 c-client-2007f-9-x86_64                                              520,4 KiB  2,15M/s 00:00 [########################################################] 100%
(12/12) vérification des clés dans le trousseau                                                [########################################################] 100%
(12/12) vérification de l’intégrité des paquets                                                [########################################################] 100%
(12/12) chargement des fichiers des paquets                                                    [########################################################] 100%
(12/12) analyse des conflits entre fichiers                                                    [########################################################] 100%
(12/12) vérification de l’espace disque disponible                                             [########################################################] 100%
:: Traitement des changements du paquet...
( 1/12) installation de aspell                                                                 [########################################################] 100%
Dépendances optionnelles pour aspell
    perl: to import old dictionaries [installé]
( 2/12) installation de hspell                                                                 [########################################################] 100%
( 3/12) installation de libvoikko                                                              [########################################################] 100%
( 4/12) installation de enchant                                                                [########################################################] 100%
( 5/12) installation de libmcrypt                                                              [########################################################] 100%
( 6/12) installation de libxslt                                                                [########################################################] 100%
( 7/12) installation de net-snmp                                                               [########################################################] 100%
Dépendances optionnelles pour net-snmp
    perl-term-readkey: for snmpcheck application
    perl-tk: for snmpcheck and tkmib applications
    python2: for the python modules [installé]
( 8/12) installation de postgresql-libs                                                        [########################################################] 100%
( 9/12) installation de tidy                                                                   [########################################################] 100%
(10/12) installation de unixodbc                                                               [########################################################] 100%
(11/12) installation de freetds                                                                [########################################################] 100%
(12/12) installation de c-client                                                               [########################################################] 100%
:: Exécution des crochets de post-transaction...
(1/3) Warn about old perl modules
(2/3) Arming ConditionNeedsUpdate...
(3/3) Updating the info directory file...
==> Récupération des sources...
  -> Téléchargement de php-7.0.26.tar.xz...
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
100   184  100   184    0     0    184      0  0:00:01 --:--:--  0:00:01   394
100 11.4M  100 11.4M    0     0   730k      0  0:00:16  0:00:16 --:--:--  874k
  -> Téléchargement de php-7.0.26.tar.xz.asc...
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
100   184  100   184    0     0    184      0  0:00:01 --:--:--  0:00:01   414
100   473  100   473    0     0    473      0  0:00:01  0:00:01 --:--:--     0
  -> apache.patch trouvé
  -> apache.conf trouvé
  -> php-fpm.patch trouvé
  -> php-fpm.tmpfiles trouvé
  -> php.ini.patch trouvé
==> Validation des fichiers source avec sha256sums...
    php-7.0.26.tar.xz ... Réussite
    php-7.0.26.tar.xz.asc ... Ignoré
    apache.patch ... Réussite
    apache.conf ... Réussite
    php-fpm.patch ... Réussite
    php-fpm.tmpfiles ... Réussite
    php.ini.patch ... Réussite
==> Vérification des signatures des fichiers sources grâce à gpg...
    php-7.0.26.tar.xz ... ÉCHEC (Clé publique inconnue BCAA30EA9C0D5763)
==> ERREUR : Une ou plusieurs signatures PGP n’ont pas pu être vérifiées.
Du coup, j'ai regardé ce lien: https://wiki.archlinux.org/index.php/Gn ... public_key afin de voir comment je peux résoudre ce problème vis à vis de la clé publique inconnue. Je ne vois pas dans le lien ce qui pourrait m'aider.

Comment dois je m'y prendre afin de résoudre ce problème? D'après ce que je comprend, c'est juste la clé qui n'a pas été vérifié sinon le makepkg -s a fonctionné.

jean_no
yeomen
Messages : 277
Inscription : dim. 09 sept. 2007, 12:19

Re: [AUR] Installer le package php70-mcrypt

Message par jean_no » lun. 01 janv. 2018, 17:40

Salut
...sinon le makepkg -s a fonctionné
Non puisque tu as une erreur! makepkg n'a téléchargé et installé que les dépendances.

En USER, réception de la clé:

Code : Tout sélectionner

$ gpg --recv-keys BCAA30EA9C0D5763
et toujours en USER, vérification de la clé:

Code : Tout sélectionner

$ gpg --lsign BCAA30EA9C0D5763
Un peu de lecture pour comprendre tout cela:
http://allanmcrae.com/2015/01/two-pgp-k ... rch-linux/

Bon courage...
A+

stephan08
Daikyu
Messages : 83
Inscription : jeu. 19 nov. 2015, 23:18

Re: [AUR] Installer le package php70-mcrypt

Message par stephan08 » mar. 02 janv. 2018, 22:19

Bonsoir,

J'ai lancé:

Code : Tout sélectionner

gpg --recv-keys BCAA30EA9C0D5763
gpg --lsign BCAA30EA9C0D5763
Cela a fonctionné. Après ce que j'ai trouvé avec ce package, c'est que ça me construit d'autres packets mis à part php-mcrypt.

Code : Tout sélectionner

-rw-r--r--  1 deepak users      317 31 déc.  16:45 apache.conf
-rw-r--r--  1 deepak users      501 31 déc.  16:45 apache.patch
-rwxr-xr-x  1 deepak users     2753 31 déc.  16:45 generate_patches
-rw-r--r--  1 deepak users 11966888  1 janv. 13:04 php-7.0.26.tar.xz
-rw-r--r--  1 deepak users      473  1 janv. 13:04 php-7.0.26.tar.xz.asc
-rw-r--r--  1 deepak users  3193988  2 janv. 00:38 php70-7.0.26-1-x86_64.pkg.tar.xz
-rw-r--r--  1 deepak users  2200376  2 janv. 00:38 php70-apache-7.0.26-1-x86_64.pkg.tar.xz
-rw-r--r--  1 deepak users  2215308  2 janv. 00:38 php70-cgi-7.0.26-1-x86_64.pkg.tar.xz
-rw-r--r--  1 deepak users    13256  2 janv. 00:38 php70-dblib-7.0.26-1-x86_64.pkg.tar.xz
-rw-r--r--  1 deepak users  2193588  2 janv. 00:38 php70-embed-7.0.26-1-x86_64.pkg.tar.xz
-rw-r--r--  1 deepak users    11160  2 janv. 00:38 php70-enchant-7.0.26-1-x86_64.pkg.tar.xz
-rw-r--r--  1 deepak users  2263968  2 janv. 00:38 php70-fpm-7.0.26-1-x86_64.pkg.tar.xz
-rw-r--r--  1 deepak users    28000  2 janv. 00:38 php70-gd-7.0.26-1-x86_64.pkg.tar.xz
-rw-r--r--  1 deepak users    31296  2 janv. 00:38 php70-imap-7.0.26-1-x86_64.pkg.tar.xz
-rw-r--r--  1 deepak users   125656  2 janv. 00:38 php70-intl-7.0.26-1-x86_64.pkg.tar.xz
-rw-r--r--  1 deepak users    16668  2 janv. 00:38 php70-mcrypt-7.0.26-1-x86_64.pkg.tar.xz
-rw-r--r--  1 deepak users    32388  2 janv. 00:38 php70-odbc-7.0.26-1-x86_64.pkg.tar.xz
-rw-r--r--  1 deepak users    56972  2 janv. 00:38 php70-pgsql-7.0.26-1-x86_64.pkg.tar.xz
-rw-r--r--  1 deepak users  2292408  2 janv. 00:38 php70-phpdbg-7.0.26-1-x86_64.pkg.tar.xz
-rw-r--r--  1 deepak users    10908  2 janv. 00:38 php70-pspell-7.0.26-1-x86_64.pkg.tar.xz
-rw-r--r--  1 deepak users    20916  2 janv. 00:38 php70-snmp-7.0.26-1-x86_64.pkg.tar.xz
-rw-r--r--  1 deepak users    26876  2 janv. 00:38 php70-sqlite-7.0.26-1-x86_64.pkg.tar.xz
-rw-r--r--  1 deepak users    19160  2 janv. 00:38 php70-tidy-7.0.26-1-x86_64.pkg.tar.xz
-rw-r--r--  1 deepak users    14972  2 janv. 00:38 php70-xsl-7.0.26-1-x86_64.pkg.tar.xz
-rw-r--r--  1 deepak users     2959 31 déc.  16:45 php-fpm.patch
-rw-r--r--  1 deepak users       30 31 déc.  16:45 php-fpm.tmpfiles
-rw-r--r--  1 deepak users     2650 31 déc.  16:45 php.ini.patch
drwxr-xr-x 21 deepak users     4096  2 janv. 00:38 pkg
-rw-r--r--  1 deepak users    12349 31 déc.  16:45 PKGBUILD
drwxr-xr-x  6 deepak users     4096  2 janv. 00:37 src
Ayant besoin que de php-mcrypt pour le moment, j'ai seulement fait un:

Code : Tout sélectionner

pacman -U php70-mcrypt-7.0.26-1-x86_64.pkg.tar.xz
Par contre, cela me donne:

Code : Tout sélectionner

chargement des paquets...
résolution des dépendances...
avertissement : impossible de résoudre « php70 », une dépendance de « php70-mcrypt »
:: Le paquet suivant ne peut être mis à jour à cause de dépendances insolubles :
      php70-mcrypt

:: Voulez-vous ignorer le paquet ci-dessus pour cette mise à jour ? [o/N]
Etant donné qu'il y a une dépendance avec le paquet php70, j'ai l'ai installé d'abord:

Code : Tout sélectionner

pacman -U php70-7.0.26-1-x86_64.pkg.tar.xz
Cela m'a donné:

Code : Tout sélectionner

:: Procéder à l’installation ? [O/n] O
(1/1) vérification des clés dans le trousseau                                                  [########################################################] 100%
(1/1) vérification de l’intégrité des paquets                                                  [########################################################] 100%
(1/1) chargement des fichiers des paquets                                                      [########################################################] 100%
(1/1) analyse des conflits entre fichiers                                                      [########################################################] 100%
(1/1) vérification de l’espace disque disponible                                               [########################################################] 100%
:: Traitement des changements du paquet...
(1/1) installation de php70                                                                    [########################################################] 100%
:: Exécution des crochets de post-transaction...
(1/1) Arming ConditionNeedsUpdate...
Et du coup, après avoir relancé la commande:

Code : Tout sélectionner

pacman -U php70-mcrypt-7.0.26-1-x86_64.pkg.tar.xz
cela a fonctionné:

Code : Tout sélectionner

Paquets (1) php70-mcrypt-7.0.26-1

Taille totale installée :  0,06 MiB

:: Procéder à l’installation ? [O/n] O
(1/1) vérification des clés dans le trousseau                                                  [########################################################] 100%
(1/1) vérification de l’intégrité des paquets                                                  [########################################################] 100%
(1/1) chargement des fichiers des paquets                                                      [########################################################] 100%
(1/1) analyse des conflits entre fichiers                                                      [########################################################] 100%
(1/1) vérification de l’espace disque disponible                                               [########################################################] 100%
:: Traitement des changements du paquet...
(1/1) installation de php70-mcrypt                                                             [########################################################] 100%
:: Exécution des crochets de post-transaction...
(1/1) Arming ConditionNeedsUpdate...
Mais j'ai tout de même une question, pourquoi cela m'a crée beaucoup d'autres paquets relatifs à php?

Merci par avance,

Avatar de l’utilisateur
benjarobin
Maître du Kyudo
Messages : 15215
Inscription : sam. 30 mai 2009, 15:48
Localisation : Lyon

Re: [AUR] Installer le package php70-mcrypt

Message par benjarobin » mar. 02 janv. 2018, 23:22

Tu n'as pas simplement construit php70-mcrypt mais le Package Base php70 qui fournit tous ces paquets. Un PKGBUILD peut construire plusieurs paquet en une seule fois.

Tu as aussi installé le paquet php70 à coté du paquet php : Tu as donc 2 php (php et php70). Si tu utilises php tu ne pourras pas utiliser php70-mcrypt...
php-mcrypt n'existe plus avec php 7.2, car il a été remplacé par php-sodium (https://wiki.php.net/rfc/libsodium).
Sur le long terme tu devras utiliser php-sodium. Tu devras convertir tous tes scripts php pour utiliser php-sodium

Donc peux tu expliquer pourquoi tu veux installer php70-mcrypt ?
Zsh | KDE | PC fixe : core i7, carte nvidia | Portable : Asus ul80vt
Titre d'un sujet : [Thème] Sujet (état)

stephan08
Daikyu
Messages : 83
Inscription : jeu. 19 nov. 2015, 23:18

Re: [AUR] Installer le package php70-mcrypt

Message par stephan08 » mer. 03 janv. 2018, 10:46

Salut,

J'ai voulais installer php-mcrypt car j'avais besoin du module mcrypt.so pour la configuration de phpmyadmin.

Sur ce lien: https://wiki.archlinux.fr/phpmyadmin, dans la section Configuration, il me faut dans /etc/php/php.ini décommenter

Code : Tout sélectionner

extension=mcrypt.so
De même, j'avais un warning lorsque je lançais le serveur interne de Symfony:

Code : Tout sélectionner

php bin/console server:run
PHP Warning:  PHP Startup: Unable to load dynamic library 'mcrypt.so' (tried: /usr/lib/php/modules/mcrypt.so (/usr/lib/php/modules/mcrypt.so: cannot open shared object file: No such file or directory), /usr/lib/php/modules/mcrypt.so.so (/usr/lib/php/modules/mcrypt.so.so: cannot open shared object file: No such file or directory)) in Unknown on line 0

                                                                                                                        
 [OK] Server listening on http://127.0.0.1:8000                                                                         
                                                                                                                        

 // Quit the server with CONTROL-C.                                                                                     

[Wed Jan  3 11:54:01 2018] PHP Warning:  PHP Startup: Unable to load dynamic library 'mcrypt.so' (tried: /usr/lib/php/modules/mcrypt.so (/usr/lib/php/modules/mcrypt.so: cannot open shared object file: No such file or directory), /usr/lib/php/modules/mcrypt.so.so (/usr/lib/php/modules/mcrypt.so.so: cannot open shared object file: No such file or directory)) in Unknown on line 0
PHP 7.2.0 Development Server started at Wed Jan  3 11:54:01 2018
Listening on http://127.0.0.1:8000
Document root is /home/deepak/programmation/githubapp/super-phone-book/web
Press Ctrl-C to quit.
Et il n'était pas présent dans /usr/lib/php/modules/.

Maintenant, effectivement, je remarque que j'ai également un dossier /usr/lib/php70/.
Pour le coup, dans /usr/lib/php70/modules/, le module mcrypt.so est bien présent.

En fait, je remarque que ce qui est installé dans mon système est bien php7.2:

Code : Tout sélectionner

extra/php 7.2.0-2 [installé]
    A general-purpose scripting language that is especially suited to web development
extra/php-apache 7.2.0-2 [installé]
    Apache SAPI for PHP
Et un:

Code : Tout sélectionner

pacman  -Ss php
me propose bien:

Code : Tout sélectionner

extra/php-sodium 7.2.0-2
    sodium module for PHP
Donc tant qu'à faire, il vaut mieux que je désinstalle php70.

Avatar de l’utilisateur
benjarobin
Maître du Kyudo
Messages : 15215
Inscription : sam. 30 mai 2009, 15:48
Localisation : Lyon

Re: [AUR] Installer le package php70-mcrypt

Message par benjarobin » mer. 03 janv. 2018, 22:16

Tu as ce warning car tu utilises un vieux /etc/php/php.ini (regarde le .pacnew), il ne faut surtout pas faire référence à mcrypt dans php.ini.
Le Wiki n'est pas à jour sur ce point...
Zsh | KDE | PC fixe : core i7, carte nvidia | Portable : Asus ul80vt
Titre d'un sujet : [Thème] Sujet (état)

stephan08
Daikyu
Messages : 83
Inscription : jeu. 19 nov. 2015, 23:18

Re: [AUR] Installer le package php70-mcrypt

Message par stephan08 » jeu. 04 janv. 2018, 23:41

Salut,

Effectivement, j'ai vu que j'avais un php.ini.pacnew. Je prends en compte ce fichier du coup en l'ayant renommé php.ini.

Dans ce fichier, je vois que les modules dans une futur version de php n'auront plus l'extension .so:

Code : Tout sélectionner

; Note : The syntax used in previous PHP versions ('extension=<ext>.so' and
; 'extension='php_<ext>.dll') is supported for legacy reasons and may be
; deprecated in a future PHP major version. So, when it is possible, please
; move to the new ('extension=<ext>) syntax.
Je les ai donc ajouté pour quelques modules notamment sodium:

Code : Tout sélectionner

extension=curl.so
extension=sodium.so
extension=mysqli.so
extension=zip.so
J'en ai profité pour l'installé via pacman:

Code : Tout sélectionner

pacman -S php-sodium
Maintenant, le lancement du serveur interne de Symfony n'émet plus de warning:

Code : Tout sélectionner

 [OK] Server listening on http://127.0.0.1:8000                                                                         
                                                                                                                        
 // Quit the server with CONTROL-C.                                                                                     

PHP 7.2.1 Development Server started at Fri Jan  5 00:23:46 2018
Listening on http://127.0.0.1:8000
Document root is /home/deepak/programmation/githubapp/super-phone-book/web
Press Ctrl-C to quit.
Maintenant ce que je dois désinstaller complêtement, c'est php70 que j'avais installé via AUR.

Le fait d'avoir installé php70 m'a également généré le dossier: /usr/lib/php70 avec les dossier build et modules à l'intérieur.

Faut il tout supprimer à la main avec bien entendu le dossier php70 dans lequel j'avais fait les manipulations pour l'installer via makepkg et pacman -U? Ou y a t'il un moyen comme un pacman -Rs nom_du_paquet appliqué au paquet installé depuis AUR?

Merci par avance,

Avatar de l’utilisateur
benjarobin
Maître du Kyudo
Messages : 15215
Inscription : sam. 30 mai 2009, 15:48
Localisation : Lyon

Re: [AUR] Installer le package php70-mcrypt

Message par benjarobin » jeu. 04 janv. 2018, 23:48

Il ne faut surtout pas supprimer les choses à la main, tu dois utiliser pacman ! Tu dois le supprimer comme n'importe quel paquet, qu'il vienne de AUR ou pas...

Sinon il ne faut pas rajouter .so au extension php, tu as compris l'inverse !
Zsh | KDE | PC fixe : core i7, carte nvidia | Portable : Asus ul80vt
Titre d'un sujet : [Thème] Sujet (état)

stephan08
Daikyu
Messages : 83
Inscription : jeu. 19 nov. 2015, 23:18

Re: [AUR] Installer le package php70-mcrypt

Message par stephan08 » mer. 10 janv. 2018, 23:09

Effectivement, dans /etc/php/php.ini, il ne fallait pas rajouter les .so

Sinon, je voulais désinstaller php70.

Du coup, j'ai d'abord supprimé php-mcrypt:

Code : Tout sélectionner

pacman -Rs php-mcrypt
qui donne:

Code : Tout sélectionner

vérification des dépendances...

Paquets (2) libmcrypt-2.5.8-4  php70-mcrypt-7.0.26-1

Taille totale supprimée :  0,26 MiB

:: Voulez-vous désinstaller ces paquets ? [O/n] O
:: Traitement des changements du paquet...
(1/2) désinstallation de php70-mcrypt                                                          [########################################################] 100%
(2/2) désinstallation de libmcrypt                                                             [########################################################] 100%
:: Exécution des crochets de post-transaction...
(1/1) Arming ConditionNeedsUpdate...
Enfin, j'ai désinstallé php70:

Code : Tout sélectionner

pacman -Rs php70
qui donne:

Code : Tout sélectionner

vérification des dépendances...

Paquets (1) php70-7.0.26-1

Taille totale supprimée :  16,02 MiB

:: Voulez-vous désinstaller ces paquets ? [O/n] O
:: Traitement des changements du paquet...
(1/1) désinstallation de php70                                                                 [########################################################] 100%
:: Exécution des crochets de post-transaction...
(1/1) Arming ConditionNeedsUpdate...
Donc, à priori ça doit être bon. En vérifiant dans le dossier /usr/lib, le dossier php70 n'est plus présent.

Je peux maintenant supprimer le dossier php70 que j'avais dézippé depuis le package téléchargé depuis AUR.

Répondre